<script>
function newsletter(id){
w=750;
h=550;
MM_openBrWindow('newsletter.popup.php?id='+id,'preview','width='+w+',height='+h+', left='+(screen.width-w)/2+',top='+(screen.height-h)/2 + ',scrollbars=yes')
}
</script>
<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
////include ("include/images.class.php");

class newsletter extends elemento{

	function newsletter() {
        $c= new categoria;
    }
	
	function guardar_sair($id=""){
		if ($id) 
			$id=parent::guardarEdit($id);
		else
			$id=parent::guardarNovo();
		$this->listar();
	}
	
	function guardar($id=""){
		if ($id) 
			$id=parent::guardarEdit($id);
		else
			$id=parent::guardarNovo();
		
		if ($this->req["wizard"]){
			$db= new dbElemento;
			$dados=$db->getListaCategorias("contactoCategoria", "*");
			foreach ($dados as $l) $dadosSel[$l['id']]=$l['categoria'];
			//$dadosSel[0]="Todos";
			
			$f= new form($id, "", $this->req);
			$f->toolbars("Enviar");
			$f->titulo("Newsletter / ".$this->req['cat']." / ",1);
			$f->label("","Escolha o grupo para quem quer enviar:" );
			//$f->campoSeleccao("Categoria", "idCat", $dadosSel, $linha['idCat']);
			foreach ($dadosSel as $l=>$v)
				$f->campoSimNaoGrupo($v, "mailCat", $l );
					
			$f->campoSimNaoTodos("mailCat");
					
			$f->campoValor("id", $id);
			$f->campoValor("cat", $this->req['cat']);
			$f->mostra("Enviar");
		} else {
			$this->editar($id);
		}	
	}
	
	function enviar($id=""){
		$f= new form($id, "", $this->req);		
		$f->toolbars("Listar");
		$f->titulo("Newsletter / ".$this->req['cat']." / ",1);
				
		include("include/mail.inc.php");
		$m= new mailer();
		$m->sendBCC($id);
		//$m->sendTo($id);	
		$f->mostra("listar");				
	}
	
	function preview($id=""){   
	
		if (!(($_REQUEST['assunto']) && ($_REQUEST['texto1']) )){
		?><script>history.back()</script><?
		exit;
		}
		
		$f= new form($id, "", $this->req);
		$f->toolbars();
		$f->titulo("Newsletter / ".$this->req['cat']." / ",1);
		
		$id=$this->req['id'];
		$assunto=$this->req['assunto'];
		$data=$this->req['data'];
		$titulo1=$this->req['titulo1'];
		$texto1=stripslashes($this->req['texto1']);
		$titulo2=$this->req['titulo2'];
		$texto2=stripslashes($this->req['texto2']);
		
		$f->campoValor("id", $id);
		$f->campoValor("assunto",$assunto);
		$f->campoValor("data",$data);
		$f->campoValor("titulo1",$titulo1);
		$f->campoValor("texto1",htmlentities($texto1));
		$f->campoValor("titulo2",$titulo2);
		$f->campoValor("texto2",htmlentities($texto2));
		$f->campoValor("cat", $this->req['cat']);
		$f->campoValor("publico",$this->req['publico']);
		$f->campoValor("enviada",$this->req['enviada']);
		$f->campoValor("wizard","1");

		$data=dataExtenso($data);
		$myhost="../";
		$mylink="#";
		
		?><tr><td colspan=2><?
		include("config/mailhtml.php");
		print $html . $html2;
		?><br /></td></tr><?
		$f->mostra();			
	}
	
	function editar($id=""){
	
		$db= new dbElemento;
		$max=$db->getTotal($this->tipo, $this->idCat);
		$max++;
		//$f->dados['assunto']="Newsletter nº $max";
		$linha=@$db->getLinha($this->tipo, $id);
		
		$f= new form($id, $linha , $this->req);
		$f->toolbars("Preview", 1);
		$temp=$db->getLinhaCampo("newsletterCategoria", "id", $this->idCat);
		$cat=$temp['categoria'];		
		$f->titulo("Newsletter / $cat / ",1);
		
		if (empty($f->dados['assunto']))
			$f->dados['assunto']="Newsletter Farmácia Internacional nº $max " .date('Y-m-d');
	
		//$f->dados['assunto']="Newsletter de " .dataExtenso(date('Y-m-d'));
		$f->campoTexto("Assunto","assunto" );
		$f->campoData("Data", "data");
		//$f->campoHTML("Texto", "texto");
		$f->campoTexto("Titulo 1","titulo1" );
		$f->campoHTML("Texto 1","texto1" );
		$f->campoTexto("Titulo 2","titulo2" );
		$f->campoHTML("Texto 2","texto2" );
		$f->label("Estado", $linha["enviada"]==1?"Enviada":"Ainda não enviada");
		$f->campoValor("enviada", $linha["enviada"]);
		$f->campoSimNao("Acesso Público", "publico", 0);
		$f->campoValor("idCat", $this->idCat);
		$f->campoValor("cat", $cat);
		
		$f->mostra("Preview");
	}
	
	function listar(){        
        $campos=array("Nr"=>"id","Assunto"=>"assunto", "Data"=>"data");
        $db= new dbElemento;
        
        $dados=$db->getLista($this->tipo, $this->idCat, $campos , "id", "asc" ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
                
        $f= new lista($campos, $dados, $this->req);
		//$f->toolbarsNovo();
		$f->toolbars(true);
		
		$temp=$db->getLinhaCampo("newsletterCategoria", "id", $this->idCat);
		$cat=$temp['categoria'];
		
		$f->titulo("Newsletter / " . $cat);
		//$f->cabeca();
		$f->cabecaSimples();
		
        //$f->filtros();
        $f->tabela(false);
		$f->mostra();
	}
	
	function copiar(){
		$linhas=$_REQUEST['linhasMarcadas'];
		$newIdCat=$_REQUEST['newIdCat'];
		$tam=sizeof($linhas);
		$db= new dbElemento;
		if ($tam)
		foreach ($linhas as $l){
			$db->setCopiar($this->tipo, $l,$this->idCat, $newIdCat);
			$db->setLinhaCampo($this->tipo, $l, "enviada", 0);
		}
		$this->listar();
	}
	

}
?>
